Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.event
Class NamingExceptionEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.naming.event.NamingExceptionEvent

All Implemented Interfaces:
  Serializable

public class NamingExceptionEvent
extends EventObject

This class represents an event fired when the procedures/processes used to collect information for notifying listeners of `NamingEvent`s threw a `NamingException`. This can happen, for example, if the server which the listener is using aborts subsequent to the `addNamingListener()` call.

Since:
  1.3
See Also:
  `NamingListener.namingExceptionThrown(javax.naming.event.NamingExceptionEvent)`, `EventContext`, Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`NamingExceptionEvent(EventContext source, NamingException exc)` Constructs an instance of `NamingExceptionEvent` using the context in which the `NamingException` was thrown and the exception that was thrown.

Method Summary
`void` | `dispatch(NamingListener listener)` Invokes the `namingExceptionThrown()` method on a listener using this event.
`EventContext` | `getEventContext()` Retrieves the `EventContext` that fired this event.
`NamingException` | `getException()` Retrieves the exception that was thrown.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamingExceptionEvent

    public NamingExceptionEvent(EventContext source,
                                NamingException exc)

  Constructs an instance of `NamingExceptionEvent` using the context in which the `NamingException` was thrown and the exception that was thrown.
  Parameters:
    `source` - The non-null context in which the exception was thrown.
    `exc` - The non-null `NamingException` that was thrown.

Method Detail

### getException

    public NamingException getException()

  Retrieves the exception that was thrown.
  Returns:
    The exception that was thrown.

### getEventContext

    public EventContext getEventContext()

  Retrieves the `EventContext` that fired this event. This returns the same object as `EventObject.getSource()`.
  Returns:
    The non-null `EventContext` that fired this event.

### dispatch

    public void dispatch(NamingListener listener)

  Invokes the `namingExceptionThrown()` method on a listener using this event.
  Parameters:
    `listener` - The non-null naming listener on which to invoke the method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.